"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasPermissions = void 0;
/**
 * Determines if the user has permissions, based on the permission kind value
 */
var hasPermissions = function (permissionMask, permissions) {
    if (permissions === void 0) { permissions = []; }
    var hasPermissions = true;
    // Set the permissions
    var requestedPermissions = typeof (permissions) === "number" ? [permissions] : permissions;
    // Parse the requested permissions
    for (var i = 0; i < requestedPermissions.length; i++) {
        var permission = requestedPermissions[i];
        var hasPermission = false;
        // Use the logic from SP.js
        if (permission === 65) {
            hasPermission = (permissionMask.High & 32767) === 32767 && permissionMask.Low === 65535;
        }
        else {
            var a = permission - 1;
            var b = 1;
            if (a >= 0 && a < 32) {
                b = b << a;
                hasPermission = 0 !== (permissionMask.Low & b);
            }
            else if (a >= 32 && a < 64) {
                b = b << a - 32;
                hasPermission = 0 !== (permissionMask.High & b);
            }
            else {
                hasPermission = false;
            }
        }
        // See if they don't have permission
        if (!hasPermission) {
            // Update the flag
            hasPermissions = false;
            break;
        }
    }
    // Return the result
    return hasPermissions;
};
exports.hasPermissions = hasPermissions;
