"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.drive = void 0;
var contextInfo_1 = require("../lib/contextInfo");
var utils_1 = require("../utils");
/**
 * Drive
 * Returns the default library for a site.
 */
exports.drive = (function (props) {
    var _a;
    if (props === void 0) { props = {}; }
    var drive = new utils_1.Base(props.targetInfo);
    // Default the properties
    drive.targetInfo.defaultToWebFl = true;
    drive.targetInfo.requestType = utils_1.RequestType.GraphGet;
    // Default the url
    drive.targetInfo.url = props.siteUrl || ((_a = props === null || props === void 0 ? void 0 : props.targetInfo) === null || _a === void 0 ? void 0 : _a.url) || contextInfo_1.ContextInfo.webServerRelativeUrl;
    // See if an endpoint is not defined
    if (drive.targetInfo.endpoint == undefined) {
        if (props.driveId) {
            // Set the endpoint
            drive.targetInfo.endpoint = "_api/v2.0/".concat(props.siteId ? "sites/" + props.siteId.replace(/[{}]/g, '') + "/" : "", "drives/").concat(props.driveId);
        }
        else {
            // Default the endpoint
            drive.targetInfo.endpoint = "_api/v2.0/".concat(props.siteId ? "sites/" + props.siteId.replace(/[{}]/g, '') + "/" : "", "drive");
        }
        // Add the methods
        utils_1.Request.addMethods(drive, { __metadata: { type: "@odata.context/_api/v2.0/$metadata#drive" } });
    }
    // Return the default library
    return drive;
});
