"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.drives = void 0;
var contextInfo_1 = require("../lib/contextInfo");
var utils_1 = require("../utils");
/**
 * Drives
 * Returns the libraries for a site.
 */
exports.drives = (function (props) {
    var _a;
    if (props === void 0) { props = {}; }
    var drives = new utils_1.Base(props.targetInfo);
    // Default the properties
    drives.targetInfo.defaultToWebFl = true;
    drives.targetInfo.requestType = utils_1.RequestType.GraphGet;
    // Default the url
    drives.targetInfo.url = props.siteUrl || ((_a = props === null || props === void 0 ? void 0 : props.targetInfo) === null || _a === void 0 ? void 0 : _a.url) || contextInfo_1.ContextInfo.webServerRelativeUrl;
    // See if an endpoint is not defined
    if (drives.targetInfo.endpoint == undefined) {
        // Default the endpoint
        drives.targetInfo.endpoint = "_api/v2.0/".concat(props.siteId ? "sites/" + props.siteId.replace(/[{}]/g, '') + "/" : "", "drives");
        // Add the methods
        utils_1.Request.addMethods(drives, { __metadata: { type: "@odata.context/_api/v2.0/$metadata#drives" } });
    }
    // Return the libraries
    return drives;
});
